'use strict';

var Sentry = require('@sentry/browser');

function init () {
  var config;
  const hasConsole = typeof console !== 'undefined';
  try {
    config = require('../../../.sentry.js');
  } catch (error) {
    if (hasConsole) {
      console.error('[sentry-error]: ', '.sentry.js is not exist!');
    }
    return;
  }
  if (config.sentry == null || config.sentry == undefined) {
    if (hasConsole) {
      console.error('[sentry-error]: ', 'check .sentry.js has sentry obj!');
    }
    return;
  }
  if (config.sentry.config == null || config.sentry.config == undefined) {
    config.sentry.config = {};
  }
  for (var key in config.sentry) {
    if (key === process.env.NODE_ENV) {
      const options = Object.assign({}, config.sentry.config, {
        defaultIntegrations: false,
        integrations: [
          new Sentry.Integrations.Dedupe,
          new Sentry.Integrations.InboundFilters,
          new Sentry.Integrations.FunctionToString,
          new Sentry.Integrations.TryCatch,
          new Sentry.Integrations.Breadcrumbs,
          new Sentry.Integrations.GlobalHandlers,
          new Sentry.Integrations.LinkedErrors,
          new Sentry.Integrations.UserAgent,
        ],
      });
      options.dsn = config.sentry[key].dsn || '';

      if (config.sentry[key].open) {
        Sentry.init(options);
      }
    }
  }
}
module.exports.sentry = Sentry;
module.exports.init = init;